Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362677 - ERROR: Signature extraction failed
Summary: ERROR: Signature extraction failed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: youtube-dl
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Till Maas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-02 20:14 UTC by Lukas Herbolt
Modified: 2016-10-04 15:46 UTC (History)
1 user (show)

Fixed In Version: youtube-dl-2016.09.15-1.fc25 youtube-dl-2016.09.15-1.fc24 youtube-dl-2016.09.15-1.fc23 youtube-dl-2016.09.15-1.el7 youtube-dl-2016.09.15-1.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-22 07:31:14 UTC


Attachments (Terms of Use)

Description Lukas Herbolt 2016-08-02 20:14:48 UTC
$ youtube-dl "https://www.youtube.com/watch?v=pXREVvYBuTQ"
[youtube] pXREVvYBuTQ: Downloading webpage
[youtube] pXREVvYBuTQ: Downloading video info webpage
[youtube] pXREVvYBuTQ: Extracting video information
[youtube] pXREVvYBuTQ: Downloading js player en_US-vfld7sVQ3
ERROR: Signature extraction failehd: Traceback (most recent call last):
  File "/usr/local/bin/youtube-dl/youtube_dl/extractor/youtube.py", line 889, in _decrypt_signature
    video_id, player_url, s
  File "/usr/local/bin/youtube-dl/youtube_dl/extractor/youtube.py", line 804, in _extract_signature_function
    res = self._parse_sig_js(code)
  File "/usr/local/bin/youtube-dl/youtube_dl/extractor/youtube.py", line 867, in _parse_sig_js
    initial_function = jsi.extract_function(funcname)
  File "/usr/local/bin/youtube-dl/youtube_dl/jsinterp.py", line 241, in extract_function
    raise ExtractorError('Could not find JS function %r' % funcname)
ExtractorError: Could not find JS function u'Qy'; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; type  youtube-dl -U  to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
 (caused by ExtractorError(u"Could not find JS function u'Qy'; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; type  youtube-dl -U  to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.",)); please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; type  youtube-dl -U  to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.

fixed in https://github.com/rg3/youtube-dl/issues/7901

Comment 1 Fedora Update System 2016-09-17 08:09:45 UTC
youtube-dl-2016.09.15-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ff7b8b7ce5

Comment 2 Fedora Update System 2016-09-17 08:10:00 UTC
youtube-dl-2016.09.15-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3bac0fac1a

Comment 3 Fedora Update System 2016-09-17 08:10:12 UTC
youtube-dl-2016.09.15-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-360febf527

Comment 4 Fedora Update System 2016-09-17 08:10:23 UTC
youtube-dl-2016.09.15-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1b9586d863

Comment 5 Fedora Update System 2016-09-17 08:10:34 UTC
youtube-dl-2016.09.15-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-61092d1efb

Comment 6 Fedora Update System 2016-09-18 06:17:39 UTC
youtube-dl-2016.09.15-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ff7b8b7ce5

Comment 7 Fedora Update System 2016-09-18 06:51:42 UTC
youtube-dl-2016.09.15-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3bac0fac1a

Comment 8 Fedora Update System 2016-09-18 07:23:14 UTC
youtube-dl-2016.09.15-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-360febf527

Comment 9 Fedora Update System 2016-09-18 10:48:09 UTC
youtube-dl-2016.09.15-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-61092d1efb

Comment 10 Fedora Update System 2016-09-18 11:20:57 UTC
youtube-dl-2016.09.15-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1b9586d863

Comment 11 Fedora Update System 2016-09-22 07:31:14 UTC
youtube-dl-2016.09.15-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-09-27 03:52:15 UTC
youtube-dl-2016.09.15-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-09-27 14:51:44 UTC
youtube-dl-2016.09.15-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-10-03 08:47:25 UTC
youtube-dl-2016.09.15-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-10-04 15:46:55 UTC
youtube-dl-2016.09.15-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.